### Method

# GLib IOChannel set_flags

#### Declaration [src]

    GIOStatus
    g_io_channel_set_flags (
      GIOChannel* channel,
      GIOFlags flags,
      GError** error
    )

#### Description [src]

Sets the (writeable) flags in `channel` to (`flags` & `G_IO_FLAG_SET_MASK`).

#### Parameters

`flags`

  Type: `GIOFlags`

  The flags to set on the IO channel.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GIOStatus`

The status of the operation.